/*! \file icon_zoom_fit.hpp
 *  \brief Zoom fit icon
 */

/* Copyright (c) 2005-2009 Taneli Kalvas. All rights reserved.
 *
 * You can redistribute this software and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this library (file "COPYING" included in the package);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin
 * Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * If you have questions about your rights to use or distribute this
 * software, please contact Berkeley Lab's Technology Transfer
 * Department at TTD@lbl.gov. Other questions, comments and bug
 * reports should be sent directly to the author via email at
 * taneli.kalvas@jyu.fi.
 * 
 * NOTICE. This software was developed under partial funding from the
 * U.S.  Department of Energy.  As such, the U.S. Government has been
 * granted for itself and others acting on its behalf a paid-up,
 * nonexclusive, irrevocable, worldwide license in the Software to
 * reproduce, prepare derivative works, and perform publicly and
 * display publicly.  Beginning five (5) years after the date
 * permission to assert copyright is obtained from the U.S. Department
 * of Energy, and subject to any subsequent five (5) year renewals,
 * the U.S. Government is granted for itself and others acting on its
 * behalf a paid-up, nonexclusive, irrevocable, worldwide license in
 * the Software to reproduce, prepare derivative works, distribute
 * copies to the public, perform publicly and display publicly, and to
 * permit others to do so.
 */

/* GdkPixbuf RGBA C-Source image dump */

#ifdef __SUNPRO_C
#pragma align 4 (icon_zoom_fit_inline)
#endif
#ifdef __GNUC__
const guint8 icon_zoom_fit_inline[] __attribute__ ((__aligned__ (4))) = 
#else
const guint8 icon_zoom_fit_inline[] = 
#endif
{ ""
  /* Pixbuf magic (0x47646b50) */
  "GdkP"
  /* length: header (24) + pixel_data (2304) */
  "\0\0\11\30"
  /* pixdata_type (0x1010002) */
  "\1\1\0\2"
  /* rowstride (96) */
  "\0\0\0`"
  /* width (24) */
  "\0\0\0\30"
  /* height (24) */
  "\0\0\0\30"
  /* pixel_data: */
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\77\0\0\0\237\0\0\0\337\0\0\0\377\0"
  "\0\0\377\0\0\0\357\0\0\0\257\0\0\0_\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\37\0\0\0\277\0\0\0\377111\377^^^\377lll\377ppp\377u"
  "uu\377\\\\\\\377\40\40\40\377\0\0\0\337\0\0\0/\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0/\0\0\0\357(((\377rrr\377\222\222\222\377\235\240\244\377\227\244"
  "\261\377\235\252\266\377\254\266\277\377\274\274\274\377\266\266\266"
  "\377\210\210\210\377\13\13\13\377\0\0\0_\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\17\0\0\0\337000\377"
  "\205\205\205\377\224\240\255\377y\237\305\377f\231\314\377t\244\323\377"
  "u\245\324\377n\237\320\377m\235\315\377\223\262\322\377\300\306\314\377"
  "\236\236\236\377\15\15\15\357\0\0\0/\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\177\20\20\20\377\204\204\204\377"
  "x\230\270\377i\233\315\377\217\274\345\377\244\316\361\377\250\321\363"
  "\377\243\313\356\377\247\317\361\377\241\314\360\377\200\260\334\377"
  "m\235\315\377\253\273\313\377\233\233\233\377\0\0\0\277\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\337RRR\377t"
  "\220\255\377k\234\315\377\240\312\356\377\317\353\377\377\347\365\377"
  "\377\365\373\377\377\310\360\377\377\232\335\373\377\241\335\373\377"
  "\252\333\372\377\224\302\352\377k\232\312\377\277\310\322\377777\377"
  "\0\0\0\37\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\377\200\200\200\377f\231\313\377y\255\331\377\365\373\377\377\304"
  "\314\332\377\26""3n\377\26""3n\377\304\314\332\377\26""3n\377\26""3n"
  "\377\242\344\377\377\253\342\376\377\210\271\343\377\230\265\322\377"
  "qqq\377\0\0\0o\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\377\204\221\235\377l\245\325\377\202\332\373\377\357\372\377"
  "\377\304\314\332\377\26""3n\377\377\377\377\377\264\352\377\377v\266"
  "\332\377\26""3n\377\243\344\377\377\250\346\377\377\243\331\366\377\212"
  "\256\323\377\256\256\256\377\0\0\0\177\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\214\226\237\377~\311\357\377\207"
  "\337\377\377\225\343\377\377\312\361\377\377\323\363\377\377\253\350"
  "\377\377\223\341\377\377\230\342\377\377\236\343\377\377\244\345\377"
  "\377\251\346\377\377\257\347\377\377\246\307\341\377\244\244\244\377"
  "\0\0\0\177\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\377\234\234\234\377\210\313\351\377\213\340\377\377\212\337\377"
  "\377m\264\332\377\26""3n\377\221\341\377\377\226\342\377\377y\267\332"
  "\377\26""3n\377\245\345\377\377\253\346\377\377\261\347\377\377\311\334"
  "\353\377\217\217\217\377\0\0\0\177\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\337\240\240\240\377\233\274\313\377\217"
  "\340\377\377\216\340\377\377p\265\332\377\26""3n\377\26""3n\377w\266"
  "\332\377\26""3n\377\26""3n\377\247\345\377\377\255\346\377\377\254\330"
  "\362\377\361\363\365\377[[[\377\0\0\0\177\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\237rrr\377\260\260\260\377\237\314"
  "\336\377\223\341\377\377\223\341\377\377\225\342\377\377\230\342\377"
  "\377\234\343\377\377\240\344\377\377\245\345\377\377\251\346\377\377"
  "\252\330\362\377\345\353\361\377\300\300\300\377...\377\0\0\0O\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\77+++\377\275"
  "\275\275\377\276\276\276\377\261\306\317\377\227\320\351\377\231\342"
  "\377\377\234\343\377\377\237\344\377\377\243\344\377\377\243\334\366"
  "\377\264\326\354\377\345\353\361\377\326\326\326\377yyy\377\0\0\0\337"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\257zzz\377\334\334\334\377\326\326\326\377\320\320\320\377"
  "\305\312\320\377\272\322\337\377\277\326\344\377\305\324\341\377\345"
  "\351\355\377\360\360\360\377\330\330\330\377\252\252\252\377yyy\377\11"
  "\11\11\357\0\0\0_\0\0\0\37\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\17\0\0\0\317\177\177\177\377\354\354\354\377\336"
  "\336\336\377\324\324\324\377\322\322\322\377\317\317\317\377\321\321"
  "\321\377\303\303\303\377\266\266\266\377\317\317\317\377\301\301\301"
  "\377\254\242\240\377\216J<\377`\22\4\377\31\4\1\357\0\0\0_\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\17\0\0\0\217\35"
  "\35\35\377\212\212\212\377\266\266\266\377\303\303\303\377\266\266\266"
  "\377\263\263\263\377\221\221\221\377NNN\377TTT\377\317\306\303\377\360"
  "xM\377\336K\"\377\305*\13\377\263\40\10\377#\5\1\377\0\0\0_\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\37\0\0\0"
  "\217\0\0\0\277\0\0\0\377\0\0\0\377\0\0\0\337\0\0\0\257\0\0\0_\0\0\0\237"
  "[6)\377\370o;\377\377xE\377\336K\"\377\305*\13\377\263\40\10\377#\5\1"
  "\377\0\0\0_\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "/4\20\4\377\334M\27\377\370o;\377\377xE\377\336K\"\377\305*\13\377\262"
  "\36\10\377#\5\1\377\0\0\0_\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\317\200(\13\377\334M\27\377\370o;\377\375uB\377\323"
  ">\22\377\333J\22\377\306;\14\377\26\0\0\357\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\17\0\0\0\317\200(\13\377\334M\27\377"
  "\334I\31\377\330F\20\377\323@\14\377\316:\10\377\37\0\0\377\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\17\0\0\0\317"
  "\200(\13\377\3111\12\377\320=\12\377\3137\6\377\223\40\3\377\0\0\0\277"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\17\0\0\0\317\220\35\4\377\3071\3\377z\34\1\377\16\4\1\357\0\0"
  "\0/\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
  "\0\0\0\0\0\0\0\0\17\0\0\0\257\0\0\0\277\0\0\0\237\0\0\0\37\0\0\0\0\0"
  "\0\0\0"};

